Skip to main content
GET
/
api
/
organizations
/
{organizationId}
/
buckets
/
{bucketId}
Get storage bucket
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/buckets/{bucketId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/buckets/{bucketId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/buckets/{bucketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "bucket": {
    "id": 1,
    "accessKey": "AKIAIOSFODNN7EXAMPLE",
    "endpoint": "https://s3.amazonaws.com",
    "bucket": "my-organization-bucket",
    "region": "us-west-2",
    "connected": true,
    "storageProvider": "s3",
    "checkConnectivityPrefix": "data/",
    "storageAccountName": "my-storage-account"
  },
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

bucketId
integer
required

Bucket ID

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

bucket
object
required
error
string

Optional error description (set if 'success' was false)